Bug 162331 - prism54 ate my shinybook
prism54 ate my shinybook
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-02 16:52 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 02:12:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-07-02 16:52:33 EDT
Since updating to the 2.6.12-1373 kernel, the prism54 in my laptop has been very
unreliable. I often see this kind of thing, with associated network outages...

eth1: mgmt tx queue is still full
eth1: mgmt tx queue is still full
eth1: mgmt tx queue is still full
eth1: mgmt tx queue is still full
NETDEV WATCHDOG: eth1: transmit timed out
eth1: resetting device...
eth1: uploading firmware...
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
prism54: request_firmware() failed for 'isl3890'
eth1: could not upload firmware ('isl3890')
NETDEV WATCHDOG: eth1: transmit timed out
eth1: resetting device...
eth1: uploading firmware...
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
NETDEV WATCHDOG: eth1: transmit timed out
prism54: request_firmware() failed for 'isl3890'
eth1: could not upload firmware ('isl3890')
eth1: islpci_close ()
eth1: islpci_open()
eth1: resetting device...
eth1: uploading firmware...
prism54: request_firmware() failed for 'isl3890'
eth1: could not upload firmware ('isl3890')
eth1: islpci_open()
eth1: resetting device...
eth1: uploading firmware...
eth1: firmware uploaded done, now triggering reset...


Also, I frequently come back to the laptop after leaving it idle, only to find
that it has died. This isn't _necessarily_ related to the prism54, but it only
happens at home where the prism54 is used, not elsewhere. And it's started
happening at exactly the same time. 

The FC4 release kernel was fine. 

I've learned not to physically remove the card when it's doing this. If I do
that, I get network deadlocks accompanied by this kind of message...

unregister_netdevice: waiting for eth1 to become free. Usage count = 2
Comment 1 Dave Jones 2005-07-15 17:53:58 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 2 Dave Jones 2005-09-29 21:38:09 EDT
still borked ?
Comment 3 Dave Jones 2005-11-10 14:45:06 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 David Woodhouse 2005-11-30 02:12:25 EST
Haven't seen this recently; closing until/unless it reoccurs.

Note You need to log in before you can comment on or make changes to this bug.